// EngineTester.cpp

// Includes
#include "Manager.h"
#include "GameManager.h"
#include "WorldManager.h"
#include "LogManager.h"
#include "GameObject.h"
#include "Box.h"
#include "Hero.h"
#include "Clock.h"
#include <unistd.h>
#include <iostream>
#include "ResourceManager.h"
#include "Straight.h"
#include "BaseEnemy.h"
#include "Tree.h"
#include  <time.h>

int main(int argc, char *argv[]) 
{
	srand(time(NULL));
	GameManager *gameManager = GameManager::getInstance();
	
	//Tree Includes
	new Tree;
	new Tree;
	new Tree;
	new Tree;
	new Tree;
	new Tree;

	//Straight Includes
	new Straight;
	new Straight;
	new Straight;
	new Straight;
	new Straight;
	new Straight;
	new Straight;
	new Straight;
	new Straight;
	new Straight;
	new Straight;

	//Hero Include
	new Hero;

	LogManager *logManager = LogManager::getInstance();
	logManager->writeLog("Running the game");
	gameManager->run();
	gameManager->shutDown();
}

