//GameObjectListIterator.cpp

//Includes
#include "Clock.h"
#include <time.h>
#include "LogManager.h"
#include "GameManager.h"
#include "GameObject.h"
#include "Position.h"
#include <iostream>
#include <unistd.h>
#include <string>
#include "GameObjectList.h"
#include "GameObjectListIterator.h"
using namespace std;
const GameObjectList *pList;

GameObjectListIterator::GameObjectListIterator()
{
	index = 0;
}

GameObjectListIterator::GameObjectListIterator(const GameObjectList *pL)
{
	index = 0;
	pList = pL;
}

GameObjectListIterator::~GameObjectListIterator()
{
	
}

void GameObjectListIterator::first()
{
	index = 0;
}

void GameObjectListIterator::next()
{
	index++;
}
  
bool GameObjectListIterator::isDone()
{
	return index == pList->count; 
}

GameObject * GameObjectListIterator::currentObj()
{
	return pList->list[index];
}

