#ifndef __MANAGER_H__
#define __MANAGER_H__
#define MAX_EVENTS 100

#include "GameObject.h"
#include "GameObjectList.h"
#include <string>
using namespace std;

class Manager
{
    public:
        Manager();
		virtual ~Manager();
		int startUp(bool append, bool flush);
	    int shutDown();
		void onEvent(Event *p_event);
		int registerInterest(GameObject *p_go, string event_name);
		int unregisterInterest(GameObject *p_go, string event_name);
		virtual bool isValid(string event_name);
		
	
	protected:
		
		//int event_list_count;
		


};

#endif // __MANAGER_H__


