//Gui.cpp

#include "Manager.h"
#include "GameManager.h"
#include "LogManager.h"
#include "WorldManager.h"
#include "GraphicsManager.h"
#include "Clock.h"
#include <iostream>
#include <unistd.h>
#include "InputManager.h"
#include "EventMouse.h"
#include "EventKeyboard.h"
#include "ResourceManager.h"
#include "Gui.h"
#include <stdio.h>
#include <stdlib.h>
#include <sstream>
#include <string>
using namespace std;

Gui* Gui::singletonInstance = NULL;


Gui::Gui() 
{

}

Gui::~Gui() 
{
    
}

//modified graphicsManager to draw strings
void Gui::printScore(int printed_score, int printed_combo, Position pos)
{
	GraphicsManager *graphicsManager = GraphicsManager::getInstance(); 
	string scoreStr = "+";
	string s;
	stringstream out; 
	out << printed_score;  //cast int to string
	s = out.str(); 
	scoreStr += s;
	scoreStr += "!";
	const char* temp = scoreStr.c_str(); //post score on screen
	graphicsManager->drawString(pos, temp, 1);

	string comboStr = "Combo: "; //post combo on screen
	string s1;
	stringstream out1; 
	out1 << printed_combo; 
	s1 = out1.str(); 
	comboStr += s1;
	comboStr += "x";
	const char* temp1 = comboStr.c_str();
	Position comboPos(pos.getX()-2, pos.getY()+1);	
	graphicsManager->drawString(comboPos, temp1, 1);

}

Gui* Gui::getInstance() //Make it a singleton
{
	if (singletonInstance == NULL) 
	{
		singletonInstance = new Gui();
	}
	return singletonInstance;
}


