// Hero.h
// Used for testing purposes

#ifndef __Hero_H__
#define __Hero_H__

#include "GameObject.h"
#include <string>
using namespace std;

class Hero : public GameObject {

 protected:
  bool is_solid;
  int id;
  string state;
  int health;
  int score;
  int combo;
  Box box;

 public:
  Hero();
  ~Hero();
  int eventHandler(Event *e);
  void draw();
  int getId();
  void setId(int new_id);
  bool isSolid();
  string getState();
  void setState(string new_state);
  int move(int dy);
  int charge();
  void setHealth(int new_health);
  int getHealth();
  void setScore(int new_score);
  int getScore();
  void setCombo(int new_combo);
  int getCombo();
  Box getBox();
  void setBox(Box new_box);
  void printInstructions(int line);
  void printGameOver();

};

#endif
